# NumberPicker

- category: UI
- chinese: 数量选择器
- type: UI Component

---

## Implement Structure
  
Using `Button` and `Input` to achieve the same amount of detail Taobao `+ -` effect.


## API

| Argument | Explanation | Type | Default |
|:-----|:-----|:-----|:-----|
| value | current value | number | |
| defaultValue | default value (unrestricted) | number | 0 |
| min | minimum value | number | 0 |
| max | maximum value | number | 100 |
| step | step | number | 1 |
| disabled | disable, or not | bool | false |
| editable | you can input, or not | bool | true |
| autoCorrect | automatically correct the illegal content entered by the user | bool | false |
| onChange | callback function when numeric value changes | function(value) | noop |


## The Other
- Chat with <a href="dingtalk://dingtalkclient/action/sendmsg?dingtalk_id=kjwo3w5">@翊晨[yichen]</a> in Dingtalk desktop App <a href='https://tms.dingtalk.com/markets/dingtalk/download'>Download</a>
- DingTalk Group

<img src="https://img.alicdn.com/tfs/TB101EESpXXXXXFXpXXXXXXXXXX-1122-1362.jpg" width="260" /> 



